summaryrefslogtreecommitdiff
path: root/src/abslibre-tools/createworkdir
diff options
context:
space:
mode:
Diffstat (limited to 'src/abslibre-tools/createworkdir')
-rwxr-xr-xsrc/abslibre-tools/createworkdir4
1 files changed, 2 insertions, 2 deletions
diff --git a/src/abslibre-tools/createworkdir b/src/abslibre-tools/createworkdir
index a3fae88..0cf4a7a 100755
--- a/src/abslibre-tools/createworkdir
+++ b/src/abslibre-tools/createworkdir
@@ -29,7 +29,7 @@ set -euE
. "$(librelib conf)"
main() {
- load_conf libretools.conf WORKDIR ABSLIBRERECV ABSLIBRESEND || exit # these are asked for by `xbs download`
+ load_conf libretools.conf WORKDIR ABSLIBRERECV ABSLIBRESEND
trap 'error "Aborting..."' EXIT
@@ -39,7 +39,7 @@ main() {
msg "Creating staging directory in WORKDIR..."
mkdir -p "$WORKDIR/staging"
- cmd=(xbs -b abslibre download)
+ cmd=(gitget -f -p "$ABSLIBRESEND" checkout "$ABSLIBRERECV" "$WORKDIR/abslibre")
if ! "${cmd[@]}"; then
error "Could not clone ABSLibre"
plain "Try running this command:"